# synchronized Class Reference

List of all members.

## Detailed Description

utility class for objects multi-thread synchronization.

## Public Member Functions

| synchronized (const Mutex &mutex)
| ~synchronized ()

## Constructor & Destructor Documentation

synchronized | ( | const Mutex & | mutex | ) |

~synchronized | ( |  | ) |

The documentation for this class was generated from the following file:

- synchronized.h